#!/usr/bin/env bash

set -e

if [ ! -d /root/.ssh ]; then
  mkdir /root/.ssh
fi

if [ ! -d /run/sshd ]; then
  mkdir /run/sshd
fi

if [ ! -f /root/.ssh/authorized_keys ]; then
  touch /root/.ssh/authorized_keys
fi

if [ ! -f /root/.ssh/authorized_keys2 ]; then
  touch /root/.ssh/authorized_keys2
fi

chown root:root /root
chown root:root /root/.ssh
chmod 700 /root/.ssh/

chown root:root /root/.ssh/authorized_keys
chmod 600 /root/.ssh/authorized_keys

chown root:root /root/.ssh/authorized_keys2
chmod 600 /root/.ssh/authorized_keys2

chmod g-s /root/.ssh
chmod g-s /root
chmod 755 /root

if [ -n "$AUTHORIZED_KEYS" ]; then
    echo "$AUTHORIZED_KEYS" | base64 -d > /root/.ssh/authorized_keys2
    echo "Authorized keys updated successfully."
else
    echo "Environment variable $AUTHORIZED_KEYS is not set. Skipping."
    exit 1
fi

/usr/sbin/sshd -D -e -f /ssh/ssh.config